// file changed
package p00003.s366846440;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 0003：Is it a Right Triangle?
 * 
 * @author Lyu
 * @version 2015/07/12
 */
public class Main {

    /** 区切り文字：スペース */
    private static final String DELIMITER_SPACE = " ";

    /**
     * データセットで与えられた数を3辺とする三角形が直角三角形かを判断する。
     * 
     * @param args
     * @throws IOException
     * @throws NumberFormatException
     */
    public static void main(String[] args) throws NumberFormatException, IOException {

        List<String[]> datasets = new ArrayList<String[]>();
        int countofdataset = getInput(datasets);

        for (int i = 0; i < countofdataset; ++i) {
            System.out.println(getResult(datasets.get(i)));
        }
    }

    private static String getResult(String[] datasets) {
        int[] lengths = new int[3];
        toIntArray(3, lengths, datasets);
        Arrays.sort(lengths);

        if (isRightTriangle(lengths)) {
            return "YES";
        } else {
            return "NO";
        }
    }

    private static boolean isRightTriangle(int[] lengths) {
        if (lengths[2] * lengths[2] == lengths[0] * lengths[0] + lengths[1] * lengths[1]) {
            return true;
        }
        return false;
    }

    private static void toIntArray(int lengthofarray, int[] intarray, String[] stringarray) {
        for (int i = 0; i < lengthofarray; ++i) {
            intarray[i] = Integer.parseInt(stringarray[i]);
        }
    }

    private static int getInput(List<String[]> target) throws NumberFormatException, IOException {
        // 入力読取り
        InputStreamReader streamreader = new InputStreamReader(System.in);
        BufferedReader bufferedreader = new BufferedReader(streamreader);

        String line = null;
        boolean isfirst = true;
        int numberofdataset = 0;

        try {
            while ((line = bufferedreader.readLine()) != null) {
                if (isfirst) {
                    numberofdataset = Integer.parseInt(line);
                    isfirst = false;
                } else {
                    String[] lengths = line.split(DELIMITER_SPACE);
                    target.add(lengths);
                }
            }
            return numberofdataset;
        } finally {
            bufferedreader.close();
            streamreader.close();
        }
    }
}