// file changed
package p00005.s099456679;


import static java.lang.System.out;
import static java.lang.Long.parseLong;
import java.io.File;
import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        new Main().printGCDLCM();
    }

    public void printGCDLCM() {
        try (Scanner scan = new Scanner(System.in)) {
            gcdLCM(scan);
        } catch (Exception e) {
            System.exit(0);
        }
    }

    public void printGCDLCM(String inputdatapath) {
        try (Scanner scan = new Scanner(new File(inputdatapath))) {
            gcdLCM(scan);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void gcdLCM(Scanner scan) {
        String inputdata;
        while ((inputdata = scan.nextLine()) != null && !"".equals(inputdata)) {
            long[] data = getData(inputdata);
            out.println(gcd(data) + " " + lcm(data));
        }
    }

    private long[] getData(String inputdata) {
        String[] datasplit = inputdata.split(" ");
        long[] data = { parseLong(datasplit[0]), parseLong(datasplit[1]) };
        return data;
    }

    private long lcm(long[] data) {
        return (data[0] * data[1]) / gcd(data);
    }

    private long gcd(long[] data) {
        long[] tmpdata = changeAB(data).clone();
        long mod = -1;
        while ((mod = tmpdata[0] % tmpdata[1]) != 0) {
            tmpdata[0] = tmpdata[1];
            tmpdata[1] = mod;
        }
        return tmpdata[1];
    }

    private long[] changeAB(long[] data) {
        if (data[0] < data[1]) {
            long tmp = data[0];
            data[0] = data[1];
            data[1] = tmp;
        }
        return data;
    }
}