// file changed
package p00011.s806077637;


import static java.lang.Integer.parseInt;
import static java.lang.System.out;
import java.io.File;
import java.util.Scanner;

public class Main extends BaseExe {

    public static void main(String[] args) {
        new Main().exeSysIn();
    }

    @Override
    protected void execute(Scanner scan) {
        int[] lots = getLots(parseInt(scan.nextLine()));
        int crosscount = parseInt(scan.nextLine());
        for (int chagecount = 0; chagecount < crosscount; chagecount++) {
            changeLot(scan.nextLine().split(","), lots);
        }
        for (int lot : lots) {
            out.println(lot);
        }
    }

    private int[] getLots(int count) {
        int[] lots = new int[count];
        for (int lotindex = 0; lotindex < count; lotindex++) {
            lots[lotindex] = lotindex + 1;
        }
        return lots;
    }

    private void changeLot(String[] changenumbers, int[] lots) {
        int beforeindex = parseInt(changenumbers[0]) - 1;
        int afterindex = parseInt(changenumbers[1]) - 1;
        int tmp = lots[beforeindex];
        lots[beforeindex] = lots[afterindex];
        lots[afterindex] = tmp;
    }
}

abstract class BaseExe {

    public void exeSysIn() {
        try (Scanner scan = new Scanner(System.in)) {
            execute(scan);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void exeFileIn(String indatapath) {
        try (Scanner scan = new Scanner(new File(indatapath))) {
            execute(scan);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected abstract void execute(Scanner scan);
}