// file changed
package p02255.s533537510;


import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {
	/**
	 * @param args
	 */
	public static void main(String[] args) throws IOException {
		ContestScanner scan = new ContestScanner();

		int n = scan.nextInt();
		int[] a = new int[n];

		for(int i=0; i < n; i++)
		{
			a[i] = scan.nextInt();
		}

		(new Solve(n, a)).solve();
	}
}
class Solve {
	private final int N;
	private final int[] A;

	public Solve(final int n, final int[] a)
	{
		this.N = n;
		this.A = a;
	}

	public void solve()
	{
		int a[] = copyNumbers(N, this.A);

		printNumList(N, a);

		for(int i=1; i < N; i++)
		{
			int v = a[i];
			int j= i - 1;

			while(j >= 0 && v < a[j])
			{
				a[j+1] = a[j];
				j--;
			}

			a[j+1] = v;

			printNumList(N, a);
		}
	}

	public int[] copyNumbers(final int n, final int[] a)
	{
		int[] numbers = new int[n];

		for(int i=0; i < n; i++) numbers[i] = a[i];

		return numbers;
	}

	public void printNumList(final int n, final int[] a)
	{
		StringBuilder sb = new StringBuilder();

		for(int i=0; i < n; i++)
		{
			sb.append(a[i]);
			sb.append(" ");
		}


		sb.deleteCharAt(sb.length() - 1);
		System.out.println(sb.toString());
	}
}
class ContestScanner {
	BufferedReader reader;
	String[] line;
	int index;
	public ContestScanner() {
		reader = new BufferedReader(new InputStreamReader(System.in));
	}

	public ContestScanner(String filename) throws FileNotFoundException {
		reader = new BufferedReader(new InputStreamReader(new FileInputStream(filename)));
	}

	public String nextToken() throws IOException {
		if(line == null || index >= line.length)
		{
			line = reader.readLine().trim().split(" ");
			index = 0;
		}

		return line[index++];
	}

	public String next() throws IOException {
		return nextToken();
	}

	public String readLine() throws IOException {
		line = null;
		index = 0;

		return reader.readLine();
	}

	public int nextInt() throws IOException, NumberFormatException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException, NumberFormatException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException, NumberFormatException {
		return Double.parseDouble(nextToken());
	}

	public int[] nextIntArray(int n) throws IOException, NumberFormatException {
		int[] result = new int[n];

		for(int i=0; i < n; i++) result[i] = nextInt();

		return result;
	}

	public long[] nextLongArray(int n) throws IOException, NumberFormatException {
		long[] result = new long[n];

		for(int i=0; i < n; i++) result[i] = nextLong();

		return result;
	}

	public double[] nexDoubleArray(int n) throws IOException, NumberFormatException {
		double[] result = new double[n];

		for(int i=0; i < n; i++) result[i] = nextDouble();

		return result;
	}
}