// file changed
package p02258.s580064636;


import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

	public static void main(String[] args) throws IOException {
		ContestScanner scan = new ContestScanner();

		int n = scan.nextInt();

		int[] r = new int[n];

		for(int i=0; i < n; i++)
		{
			r[i] = scan.nextInt();
		}

		(new Solve(n, r)).solve();
	}
}
class Solve {
	private final int n;
	private final int[] R;

	public Solve(final int n, final int[] r)
	{
		this.n = n;
		this.R = r;
	}

	public void solve()
	{
		int max = R[1] - R[0];
		int left = R[0];

		for(int i=1; i < n; i++)
		{
			max = Math.max(max, R[i] - left);
			left = Math.min(left, R[i]);
		}

		System.out.println(max);
	}
}
class ContestScanner {
	BufferedReader reader;
	String[] line;
	int index;
	public ContestScanner() {
		reader = new BufferedReader(new InputStreamReader(System.in));
	}

	public ContestScanner(String filename) throws FileNotFoundException {
		reader = new BufferedReader(new InputStreamReader(new FileInputStream(filename)));
	}

	public String nextToken() throws IOException {
		if(line == null || index >= line.length)
		{
			line = reader.readLine().trim().split(" ");
			index = 0;
		}

		return line[index++];
	}

	public String next() throws IOException {
		return nextToken();
	}

	public String readLine() throws IOException {
		line = null;
		index = 0;

		return reader.readLine();
	}

	public int nextInt() throws IOException, NumberFormatException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException, NumberFormatException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException, NumberFormatException {
		return Double.parseDouble(nextToken());
	}

	public int[] nextIntArray(int n) throws IOException, NumberFormatException {
		int[] result = new int[n];

		for(int i=0; i < n; i++) result[i] = nextInt();

		return result;
	}

	public long[] nextLongArray(int n) throws IOException, NumberFormatException {
		long[] result = new long[n];

		for(int i=0; i < n; i++) result[i] = nextLong();

		return result;
	}

	public double[] nexDoubleArray(int n) throws IOException, NumberFormatException {
		double[] result = new double[n];

		for(int i=0; i < n; i++) result[i] = nextDouble();

		return result;
	}
}