// file changed
package p02264.s805335756;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

	public static final int BIG_NUM = 2000000000;
	public static final int MOD = 1000000007;

	public static void main(String[] args) {

		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

		try {
			String input_str[] = br.readLine().split("\\s+");
			int n = Integer.parseInt(input_str[0]);
			int limit = Integer.parseInt(input_str[1]);

			Queue q = new Queue(n);

			for(int loop = 0; loop < n; loop++){

				input_str = br.readLine().split("\\s+");
				q.push(new Process(input_str[0],Integer.parseInt(input_str[1])));
			}

			int current = 0;

			StringBuilder ans = new StringBuilder();

			while(!q.isEmpty()){

				Process tmp = q.pop();

				if(tmp.getTIME() <= limit){

					current += tmp.getTIME();
					ans.append(tmp.getName()).append(" ").append(Integer.toString(current)).append("\n");

				}else{

					current += limit;
					tmp.setTIME(tmp.getTIME()-limit);
					q.push(tmp);
				}
			}

			System.out.print(ans.toString());

		} catch (IOException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}
	}
}


class Process{

	private String name;
	private int TIME;

	Process(String arg_name,int arg_time){
		name = arg_name;
		TIME = arg_time;
	}

	public String getName() {
		return name;
	}

	public int getTIME() {
		return TIME;
	}

	public void setTIME(int arg_time) {
		TIME = arg_time;
	}
}

class Queue{

	private Process[] table;
	private int head;
	private int tail;
	private int size;
	private int num_data;

	Queue(int arg_size){

		size = arg_size;
		table = new Process[arg_size];
		head = 0;
		tail = 0;
		num_data = 0;
	}

	boolean isEmpty(){

		return num_data == 0;
	}

	void push(Process process){

		table[tail] = process;
		tail = (tail+1)%size;
		num_data++;
	}

	public Process pop(){

		head = (head+1)%size;
		num_data--;
		return table[(head-1+size)%size];
	}
}
